## go-marker

go-marker

## Synopsis

    #define             GO_MARKER_TYPE
    #define             GO_MARKER                           (o)
    #define             IS_GO_MARKER                        (o)
    enum                GOMarkerShape;
    GType               go_marker_get_type                  (void);
    GOMarkerShape       go_marker_shape_from_str            (char const *name);
    charconst      *    go_marker_shape_as_str              (GOMarkerShape shape);
    void                go_marker_get_paths                 (GOMarker const *marker,
                                                             ArtVpath const **outline_path,
                                                             ArtVpath const **fill_path);
    GOMarkerShape       go_marker_get_shape                 (GOMarker const *m);
    void                go_marker_set_shape                 (GOMarker *m,
                                                             GOMarkerShape shape);
    GOColor             go_marker_get_outline_color         (GOMarker const *m);
    void                go_marker_set_outline_color         (GOMarker *m,
                                                             GOColor color);
    GOColor             go_marker_get_fill_color            (GOMarker const *m);
    void                go_marker_set_fill_color            (GOMarker *m,
                                                             GOColor color);
    int                 go_marker_get_size                  (GOMarker const *m);
    void                go_marker_set_size                  (GOMarker *m,
                                                             int size);
    double              go_marker_get_outline_width         (GOMarker const *m);
    void                go_marker_assign                    (GOMarker *dst,
                                                             GOMarker const *src);
    GOMarker*           go_marker_dup                       (GOMarker const *src);
    GOMarker*           go_marker_new                       (void);
    GdkPixbuf*          go_marker_get_pixbuf                (GOMarker *m,
                                                             double scale);
    GdkPixbuf*          go_marker_get_pixbuf_with_size      (GOMarker *m,
                                                             guint size);

## Description

## Details

### GO_MARKER_TYPE

    #define GO_MARKER_TYPE	  	(go_marker_get_type ())

### GO_MARKER()

    #define GO_MARKER(o)		(G_TYPE_CHECK_INSTANCE_CAST((o), GO_MARKER_TYPE, GOMarker))

`o` : |

### IS_GO_MARKER()

    #define IS_GO_MARKER(o)		(G_TYPE_CHECK_INSTANCE_TYPE((o), GO_MARKER_TYPE))

`o` : |

### enum GOMarkerShape

    typedef enum {
    	GO_MARKER_NONE,
    	GO_MARKER_SQUARE,
    	GO_MARKER_DIAMOND,
    	GO_MARKER_TRIANGLE_DOWN,
    	GO_MARKER_TRIANGLE_UP,
    	GO_MARKER_TRIANGLE_RIGHT,
    	GO_MARKER_TRIANGLE_LEFT,
    	GO_MARKER_CIRCLE,
    	GO_MARKER_X,
    	GO_MARKER_CROSS,
    	GO_MARKER_ASTERISK,
    	GO_MARKER_BAR,
    	GO_MARKER_HALF_BAR,
    	GO_MARKER_BUTTERFLY,
    	GO_MARKER_HOURGLASS,
    	GO_MARKER_MAX
    } GOMarkerShape;

### go_marker_get_type ()

    GType               go_marker_get_type                  (void);

Returns : |

### go_marker_shape_from_str ()

    GOMarkerShape       go_marker_shape_from_str            (char const *name);

`name` : |
Returns : |

### go_marker_shape_as_str ()

    charconst      *    go_marker_shape_as_str              (GOMarkerShape shape);

`shape` : |
Returns : |

### go_marker_get_paths ()

    void                go_marker_get_paths                 (GOMarker const *marker,
                                                             ArtVpath const **outline_path,
                                                             ArtVpath const **fill_path);

`marker` : |
`outline_path` : |
`fill_path` : |

### go_marker_get_shape ()

    GOMarkerShape       go_marker_get_shape                 (GOMarker const *m);

`m` : |
Returns : |

### go_marker_set_shape ()

    void                go_marker_set_shape                 (GOMarker *m,
                                                             GOMarkerShape shape);

`m` : |
`shape` : |

### go_marker_get_outline_color ()

    GOColor             go_marker_get_outline_color         (GOMarker const *m);

`m` : |
Returns : |

### go_marker_set_outline_color ()

    void                go_marker_set_outline_color         (GOMarker *m,
                                                             GOColor color);

`m` : |
`color` : |

### go_marker_get_fill_color ()

    GOColor             go_marker_get_fill_color            (GOMarker const *m);

`m` : |
Returns : |

### go_marker_set_fill_color ()

    void                go_marker_set_fill_color            (GOMarker *m,
                                                             GOColor color);

`m` : |
`color` : |

### go_marker_get_size ()

    int                 go_marker_get_size                  (GOMarker const *m);

`m` : |
Returns : |

### go_marker_set_size ()

    void                go_marker_set_size                  (GOMarker *m,
                                                             int size);

`m` : |
`size` : |

### go_marker_get_outline_width ()

    double              go_marker_get_outline_width         (GOMarker const *m);

`m` : |
Returns : |

### go_marker_assign ()

    void                go_marker_assign                    (GOMarker *dst,
                                                             GOMarker const *src);

`dst` : |
`src` : |

### go_marker_dup ()

    GOMarker*           go_marker_dup                       (GOMarker const *src);

`src` : |
Returns : |

### go_marker_new ()

    GOMarker*           go_marker_new                       (void);

Returns : |

### go_marker_get_pixbuf ()

    GdkPixbuf*          go_marker_get_pixbuf                (GOMarker *m,
                                                             double scale);

`m` : |
`scale` : |
Returns : |

### go_marker_get_pixbuf_with_size ()

    GdkPixbuf*          go_marker_get_pixbuf_with_size      (GOMarker *m,
                                                             guint size);

`m` : |
`size` : |
Returns : |